#
# spec file for package python-isodate
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-isodate
Version:        0.5.4
Release:        14.1
Url:            http://cheeseshop.python.org/pypi/isodate
Summary:        An ISO 8601 Date/Time/Duration Parser and Formatter
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://pypi.io/packages/source/i/isodate/isodate-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This module implements ISO 8601 date, time and duration parsing.
The implementation follows ISO8601:2004 standard, and implements only
date/time representations mentioned in the standard. If something is not
mentioned there, then it is treated as non existent, and not as an allowed
option.

%prep
%setup -q -n isodate-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py -q test

%files
%defattr(-,root,root,-)
%doc CHANGES.txt README.rst TODO.txt
%{python_sitelib}/*

%changelog
* Thu Feb  2 2017 ms@suse.com
- Include in SLE 12 (fate#322171, bsc#1014478)
  python-msrest needs python-isodate >=0.5.4
* Mon Jan 30 2017 tbechtold@suse.com
- update to 0.5.4:
  - Fix parsing of Periods (Fabien Bochu)
  - Make Duration objects hashable (Geoffrey Fairchild)
  - Add multiplication to duration (Reinoud Elhorst)
- Use pypi.io as Source url
* Wed May  6 2015 benoit.monin@gmx.fr
- update to version 0.5.1:
  * fixed pickling of Duration objects
  * raise ISO8601Error when there is no 'T' separator in datetime
    strings
- additional changes from version 0.5.0:
  * ISO8601Error are subclasses of ValueError now
  * improve compatibility across various python variants and
    versions
  * raise exceptions when using fractional years and months in date
    maths with durations
  * renamed method todatetime on Duraction objects to totimedelta
- pass -q to test to avoid spamming the build log
- rename README.txt to README.rst: changed upstream
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Apr 17 2013 toddrme2178@gmail.com
- Re-add python-2to3.  It is needed for OpenSUSE <= 12.2
* Tue Apr 16 2013 p.drouand@gmail.com
- Remove BuildRequires: python-2to3, useless since included in main
  python devel package
- Add Requires: python3; fix build for OpenSUSE <= 12.2
* Sun Jan 13 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Nov 23 2012 saschpe@suse.de
- Update to version 0.4.9:
  + support pickling FixedOffset instances
  + make sure parsed fractional seconds are in microseconds
  + add leading zeros when formattig microseconds (Jarom Loveridge)
- Spec file cleanup
* Fri May 18 2012 jfunk@funktronics.ca
- Initial release
